Bug 208553 - [ml_IN] font rendering in Qt applications
[ml_IN] font rendering in Qt applications
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qt3 (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Rahul Bhalerao
Ben Levenson
: i18n, Reopened
Depends On:
Blocks: 209097
  Show dependency treegraph
 
Reported: 2006-09-29 08:12 EDT by Lawrence Lim
Modified: 2014-03-25 20:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-20 07:55:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2006-09-29 08:12:30 EDT
Description of problem:
We have tried to load our font TC under konqueror and noticed that more than 90%
of the font features for the ml_IN cannot be render properly

Version-Release number of selected component (if applicable):
kdebase-3.5.4-6.fc6
fonts-malayalam-2.0.4-1

How reproducible:
Always

Steps to Reproduce:
1.please load the font TC with konqueror and after installing the font package
2.
3.
  
Actual results:
actual font render dont match the image supplied

Expected results:
should render the same as the image

Additional info:
Will breakdown the list of failures when they have been prioritised
Comment 2 A S Alam 2006-11-07 05:41:38 EST
#57 combination is wrong as compared to Image
Can you please check, I have following version of packages:
qt-3.3.7-0.1.fc6
fonts-malayalam-2.0.6-1

thanks
Comment 3 Ani Peter 2008-02-04 01:56:50 EST
Checked the updated test cases in Konqueror.

#87-#113 and #252 appears wrong.

Version of packages I tested:
qt-3.3.8b-3.fc9.i386
lohit-fonts-malayalam-2.1.8-1.fc9

Thanks
Ani
Comment 4 Steven M. Parrish 2008-06-30 17:05:21 EDT
Is this still an issue?
Comment 5 Lawrence Lim 2008-06-30 21:08:15 EDT
Aman,
Could you please re-check?
Comment 6 A S Alam 2008-07-02 02:29:46 EDT
it has still have problems (comment #3), tested with following package:
qt-4.4.0-11.fc10.i386

for Fedora 9, I would like test and update result later
Comment 7 A S Alam 2008-07-02 02:30:18 EDT
Ani, 
Please update for Fedora 9 result
Comment 8 Ani Peter 2008-07-02 05:38:05 EDT
Aman,

Have checked the malayalam test cases in F9. The line numbers #87-#113 and #252
[Comment #3] are corrected in this version. But I am afraid there is a new
mistake on line #135. ie, here, the result in box is not same as the image.
Please have a look and do the needful. Let me know if any help is required.

Thanks
Ani
Comment 9 Tony Fu 2008-09-09 23:14:01 EDT
requested by Jens Petersen (#27995)
Comment 10 Steven M. Parrish 2009-01-10 13:34:41 EST
Still an open issue?
Comment 11 Rahul Bhalerao 2009-03-20 07:44:47 EDT
Ani, can you please reconfirm the status of this wrt? current fedora release.
I think all of the above reported TCs are rendering fine now.
Comment 12 Ani Peter 2009-03-20 07:52:21 EDT
Rahul, I confirm that the rendering is working perfect. :)
Comment 13 Rahul Bhalerao 2009-03-20 07:55:12 EDT
Thanks Ani. Closing this bug now.

Note You need to log in before you can comment on or make changes to this bug.